Bug 985135 - [ALL LANG] "auto-attach" in help not translated
[ALL LANG] "auto-attach" in help not translated
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: subscription-manager (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: 7.0
Assigned To: candlepin-bugs
IDM QE LIST
:
Depends On:
Blocks: rhsm-rhel70
  Show dependency treegraph
 
Reported: 2013-07-16 18:05 EDT by Sharath Dwaral
Modified: 2014-06-17 20:25 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 05:25:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sharath Dwaral 2013-07-16 18:05:58 EDT
Description of problem:
[ALL LANG]  "auto-attach" in help not translated

Version-Release number of selected component (if applicable):
# rpm -qa | egrep "subscription-manager|python-rhsm"
subscription-manager-migration-1.8.13-1.el5
subscription-manager-1.8.13-1.el5
subscription-manager-gui-1.8.13-1.el5
python-rhsm-1.8.13-1.el5_9
subscription-manager-migration-data-1.11.3.1-1.git.1.78afd75.el5
subscription-manager-firstboot-1.8.13-1.el5

How reproducible:
Always

Steps to Reproduce:
# LANG=as_IN.UTF-8 subscription-manager subsscribe --h
ব্যৱহাৰ: subscription-manager MODULE-NAME [MODULE-OPTIONS] [--help]

প্ৰাথমিক মডিউলসমূহ:

  attach         ৰেজিস্টাৰ্ড চিস্টেমৰ সৈতে এটা ধাৰ্য্যত স্বাক্ষৰণ সংলগ্ন কৰক
  list           এই চিস্টেমৰ বাবে স্বাক্ষৰণ আৰু উৎপাদন তথ্য তালিকাভুক্ত কৰক
  refresh        চাৰ্ভাৰৰ পৰা শেহতীয়া স্বাক্ষৰণ তথ্য টানি আনক
  register       এই চিস্টেমক গ্ৰাহক পোৰ্টেল অথবা অন্য স্বাক্ষৰণ ব্যৱস্থাপনা সেৱালে ৰেজিস্টাৰ কৰক
  release        কোন অপাৰেটিং চিস্টেম উন্মোচন ব্যৱহাৰ কৰা হব সংৰূপণ কৰক
  remove         এই চিস্টেমৰ পৰা সকলো অথবা বিশেষ স্বাক্ষৰণসমূহ আতৰাওক
  status         এই চিস্টেমৰ স্বাক্ষৰণসমূহ আৰু উৎপাদনসমূহৰ বাবে অৱস্থা তথ্য দেখুৱাওক
  unregister     এই চিস্টেমক গ্ৰাহক পোৰ্টেল অথবা অন্য স্বাক্ষৰণ ব্যৱস্থাপনা সেৱাৰ পৰা আনৰেজিস্টাৰ কৰক

অন্য মডিউলসমূহ:

  auto-attach    Set if this system runs auto-attach each check-in   <<<<<<<
                 ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  clean          চাৰ্ভাৰক প্ৰভাৱ নেপেলাই স্থানীয় চিস্টেম আৰু স্বাক্ষৰণ তথ্য আতৰাওক
  config         এই চিস্টেম দ্বাৰা ব্যৱহৃত সংৰূপ প্ৰাচলসমূহ তালিকাভুক্ত কৰক, সংহতি কৰক, অথবা আতৰাওক
  environments   এজন ব্যৱহাৰকাৰীৰ বাবে উপলব্ধ পৰিৱেশসমূহ প্ৰদৰ্শন কৰে
  facts          চিনাক্ত কৰা চিস্টেম তথ্য দৰ্শন কৰক অথবা আপডেইট কৰক
  identity       এই চিস্টেমৰ বাবে পৰিচয় প্ৰমাণপত্ৰ প্ৰদৰ্শন কৰক অথবা নতুন এটা অনুৰোধ কৰক
  import         প্ৰমাণপত্ৰসমূহ যি সঁজুলিৰ বাহিৰ প্ৰদান কৰা হৈছিল ইমপোৰ্ট কৰক
  orgs           সংঘঠনসমূহ যাৰ বাবে এজন ব্যৱহাৰকাৰীয়ে এটা চিস্টেম ৰেজিস্টাৰ কৰিব পাৰে প্ৰদৰ্শন কৰক
  plugins        subscription-manager প্লাগিনসমূহ চাওক আৰু সংৰূপণ কৰক
  redeem         এটা পূৰ্বসংৰূপীত চিস্টেমৰ বাবে এটা স্বাক্ষৰণ ঘুৰাই নিয়াৰ চেষ্টা
  repos          এই চিস্টেম দ্বাৰা ব্যৱহাৰ কৰিবলে অনুজ্ঞিত ভঁৰালসমূহ তালিকাভুক্ত কৰক
  service-level  এই চিস্টেমৰ বাবে সেৱা স্তৰসমূহ ব্যৱস্থাপনা কৰক
  subscribe      স্খলিত, attach চাওক
  unsubscribe    স্খলিত, remove চাওক
  version        প্ৰিন্ট সংস্কৰণ তথ্য


Actual results:
As shown above

Expected results:
Auto-attach option should be translated for all languages

Additional info:
Comment 1 John Sefler 2013-07-16 18:14:13 EDT
Fix this bug 983670 first.
Comment 2 RHEL Product and Program Management 2013-07-16 18:19:47 EDT
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux release.  Product Management has
requested further review of this request by Red Hat Engineering, for
potential inclusion in a Red Hat Enterprise Linux release for currently
deployed products.  This request is not yet committed for inclusion in
a release.
Comment 3 Bryan Kearney 2013-07-17 13:29:40 EDT
Because of Comment 1, moving to RHEL 6.5.
Comment 5 Michael Stead 2014-01-30 13:12:55 EST
This appears to now be fixed and was likely result of changes to 983670
Comment 7 Sharath Dwaral 2014-02-07 13:46:43 EST
Version:

# subscription-manager version 
server type: Red Hat Subscription Management
subscription management server: 0.9.3-1
subscription-manager: 1.10.13-1.el7
python-rhsm: 1.10.12-1.el7

Verification:

# subscription-manager subscribe -h | grep "auto"
  --auto                automatically attach compatible subscriptions to this
                        service level to apply to this system, requires --auto


# msgunfmt --no-wrap /usr/share/locale/it/LC_MESSAGES/rhsm.mo | grep "automatically attach" -A2
msgid "automatically attach compatible subscriptions to this system"
msgstr "associare automaticamente a questo sistema le sottoscrizioni compatibili"

# msgunfmt --no-wrap /usr/share/locale/mr/LC_MESSAGES/rhsm.mo | grep "automatically attach" -A2
msgid "automatically attach compatible subscriptions to this system"
msgstr "स्वयंचलितपणे सहत्व सबस्क्रिप्शन्सला या प्रणालीशी जोडणी करा"

# msgunfmt --no-wrap /usr/share/locale/bn_IN/LC_MESSAGES/rhsm.mo | grep "automatically attach" -A2
msgid "automatically attach compatible subscriptions to this system"
msgstr "এই সিস্টেমে স্বয়ংক্রিভাবে সুসংগত সাবস্ক্রিপশনগুলি যোগ করুন"

# msgunfmt --no-wrap /usr/share/locale/or/LC_MESSAGES/rhsm.mo | grep "automatically attach" -A2
msgid "automatically attach compatible subscriptions to this system"
msgstr "ସ୍ୱୟଂଚାଳିତ ଭାବରେ ସୁସଙ୍ଗତ ସଦସ୍ୟତାଗୁଡ଼ିକୁ ଏହି ତନ୍ତ୍ରରେ ସଂଲଗ୍ନ କରନ୍ତୁ"

# msgunfmt --no-wrap /usr/share/locale/ko/LC_MESSAGES/rhsm.mo | grep "automatically attach" -A2
msgid "automatically attach compatible subscriptions to this system"
msgstr "이 시스템에 호환 가능한 서브스크립션을 자동 첨부합니다 "

# msgunfmt --no-wrap /usr/share/locale/as/LC_MESSAGES/rhsm.mo | grep "automatically attach" -A2
msgid "automatically attach compatible subscriptions to this system"
msgstr "এই চিস্টেমলে সংগত স্বাক্ষৰণসমূহ স্বচালিতভাৱে সংলগ্ন কৰক"

# msgunfmt --no-wrap /usr/share/locale/te/LC_MESSAGES/rhsm.mo | grep "automatically attach" -A2
msgid "automatically attach compatible subscriptions to this system"
msgstr "సారూప్య సబ్‌స్క్రిప్షన్లను వ్యవస్థకు స్వయంచాలకంగా అనుబందించు"

# msgunfmt --no-wrap /usr/share/locale/ta_IN/LC_MESSAGES/rhsm.mo | grep "automatically attach" -A2
msgid "automatically attach compatible subscriptions to this system"
msgstr "இந்தக் கணினிக்கு இணக்கமான சந்தாக்களை தானாக இணைக்கவும்"

# msgunfmt --no-wrap /usr/share/locale/hi/LC_MESSAGES/rhsm.mo | grep "automatically attach" -A2
msgid "automatically attach compatible subscriptions to this system"
msgstr "इस तंत्र में स्वतः संगत सदस्यता संलग्न करें"

# msgunfmt --no-wrap /usr/share/locale/kn/LC_MESSAGES/rhsm.mo | grep "automatically attach" -A2
msgid "automatically attach compatible subscriptions to this system"
msgstr "ವ್ಯವಸ್ಥೆಗೆ ಹೊಂದಿಕೆಯಾಗುವ ಚಂದಾದಾರಿಕೆಗಳನ್ನು ಸ್ವಯಂಚಾಲಿತವಾಗಿ ಈ ಲಗತ್ತಿಸು"

# msgunfmt --no-wrap /usr/share/locale/de_DE/LC_MESSAGES/rhsm.mo | grep "automatically attach" -A2
msgid "automatically attach compatible subscriptions to this system"

# msgunfmt --no-wrap /usr/share/locale/es_ES/LC_MESSAGES/rhsm.mo | grep "automatically attach" -A2
msgid "automatically attach compatible subscriptions to this system"
msgstr "adjunta automáticamente las suscripciones a este sistema"

# msgunfmt --no-wrap /usr/share/locale/pa/LC_MESSAGES/rhsm.mo | grep "automatically attach" -A2
msgid "automatically attach compatible subscriptions to this system"
msgstr "ਸ੍ਵੈ-ਚਲਿਤ ਢੰਗ ਨਾਲ ਅਨੁਕੂਲ ਮੈਂਬਰੀ ਇਸ ਸਿਸਟਮ ਨਾਲ ਨੱਥੀ ਕਰੋ"

# msgunfmt --no-wrap /usr/share/locale/pt_BR/LC_MESSAGES/rhsm.mo | grep "automatically attach" -A2
msgid "automatically attach compatible subscriptions to this system"
msgstr "conecta automaticam subscrições compatíveis.à este sistema."

# msgunfmt --no-wrap /usr/share/locale/fr/LC_MESSAGES/rhsm.mo | grep "automatically attach" -A2
msgid "automatically attach compatible subscriptions to this system"
msgstr "automatiquement attacher des abonnements compatibles à ce système"

# msgunfmt --no-wrap /usr/share/locale/gu/LC_MESSAGES/rhsm.mo | grep "automatically attach" -A2
msgid "automatically attach compatible subscriptions to this system"
msgstr "આ સિસ્ટમમાં સુસંગત ઉમેદવારીઓને આપમેળે જોડો"

# msgunfmt --no-wrap /usr/share/locale/ru/LC_MESSAGES/rhsm.mo | grep "automatically attach" -A2
msgid "automatically attach compatible subscriptions to this system"
msgstr "автоматически выбрать подписки"

# msgunfmt --no-wrap /usr/share/locale/zh_TW/LC_MESSAGES/rhsm.mo | grep "automatically attach" -A2
msgid "automatically attach compatible subscriptions to this system"
msgstr "自動將相容的訂閱附加至此系統"

# msgunfmt --no-wrap /usr/share/locale/ml/LC_MESSAGES/rhsm.mo | grep "automatically attach" -A2
msgid "automatically attach compatible subscriptions to this system"
msgstr "ഈ സിസ്റ്റത്തിലേക്കു് ഓട്ടോമാറ്റിയ്ക്കായി സബ്സ്ക്രിപ്ഷനുകള്‍ ചേര്‍ക്കുക"

# msgunfmt --no-wrap /usr/share/locale/zh_CN/LC_MESSAGES/rhsm.mo | grep "automatically attach" -A2
msgid "automatically attach compatible subscriptions to this system"
msgstr "自动在这个系统中附加兼容订阅。"

# msgunfmt --no-wrap /usr/share/locale/ja/LC_MESSAGES/rhsm.mo | grep "automatically attach" -A2
msgid "automatically attach compatible subscriptions to this system"
msgstr "適合するサブスクリプションをこのシステムに自動的に割り当てる"


Verified against all languages listed in 
https://translate.zanata.org/zanata/iteration/view/subscription-manager/1.10.x?cid=3770


VERIFIED
Comment 8 Ludek Smid 2014-06-13 05:25:00 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.